package com.sundot.airport.exam.common.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;

import java.util.Date;

/**
 * <b>功能名：</b>BaseEntity<br>
 * <b>说明：</b> 通用公共字段公共字段 <br>
 * <b>著作权：</b> Copyright (C) 2020 HUIFANEDU CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-04 huifan
 */
public class BaseEntity {

    /**
     * 是否删除0否1是
     */
    @TableLogic
    private Integer delStatus;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUid;

    /**
     * 修改人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUid;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    public Integer getDelStatus() {
        return delStatus;
    }

    public void setDelStatus(Integer delStatus) {
        this.delStatus = delStatus;
    }

    public String getCreateUid() {
        return createUid;
    }

    public void setCreateUid(String createUid) {
        this.createUid = createUid;
    }

    public String getUpdateUid() {
        return updateUid;
    }

    public void setUpdateUid(String updateUid) {
        this.updateUid = updateUid;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
